package betterwithmods.client.gui;

import betterwithmods.util.player.PlayerHelper;
import net.minecraft.client.Minecraft;
import net.minecraft.client.gui.FontRenderer;
import net.minecraft.client.gui.ScaledResolution;
import net.minecraftforge.client.GuiIngameForge;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

/**
 * Created by tyler on 5/13/17.
 */
@SideOnly(Side.CLIENT)
public class GuiStatus {

    @SideOnly(Side.CLIENT)
    public static GuiStatus INSTANCE = new GuiStatus();
    public static boolean isGloomLoaded, isHungerLoaded, isInjuryLoaded;
    public static int offsetX, offsetY;
    private final Minecraft mc = Minecraft.func_71410_x();

    @SideOnly(Side.CLIENT)
    public void draw() {
        if (!PlayerHelper.isSurvival(mc.field_71439_g))
            return;
        ScaledResolution scale = ((GuiIngameForge) mc.field_71456_v).getResolution();
        int left = scale.func_78326_a() / 2 + 91 + offsetX;
        int top = scale.func_78328_b() - GuiIngameForge.right_height - 10 + offsetY;
        drawPenaltyText(left, top);
    }


    @SideOnly(Side.CLIENT)
    private boolean drawPenaltyText(int left, int top) {
        if (this.mc.field_71439_g.field_70128_L) {
            return false;
        } else {
            int y = top;
            FontRenderer fontRenderer = this.mc.field_71466_p;
            String injury = PlayerHelper.getHealthPenalty(mc.field_71439_g).getDescription();
            String gloom = PlayerHelper.getGloomPenalty(mc.field_71439_g).getDescription();
            String hunger = PlayerHelper.getWorstPenalty(mc.field_71439_g).getDescription();

            if (isInjuryLoaded && !injury.isEmpty()) {
                int width = fontRenderer.func_78256_a(injury);
                fontRenderer.func_175063_a(injury, left - width, y,
                        16777215);
                y-=10;
            }

            if (isGloomLoaded && !gloom.isEmpty()) {
                int width = fontRenderer.func_78256_a(gloom);
                fontRenderer.func_175063_a(gloom, left - width, y,
                        16777215);
                y-=10;
            }
            if (isHungerLoaded && !hunger.isEmpty()) {
                int width = fontRenderer.func_78256_a(hunger);
                fontRenderer.func_175063_a(hunger, left - width, y,
                        16777215);
                y-=10;
            }
            GuiIngameForge.right_height+=y;
            return false;
        }
    }
}
